Characters
List Characters
Your saved characters, newest first.
List Characters
cURL
curl --request GET \ --url https://api.spicyapi.com/v1/characters \ --header 'Authorization: Bearer $SPICYAPI_KEY'
200
JSON
{
"object": "list",
"data": [
{ "id": "chr_9f2a1c3b7d4e5a60", "object": "character", "name": "Mara", "sheet_url": "https://cdn.spicyapi.com/outputs/a1b2/chr_9f2a1c3b7d4e5a60.png", "source_urls": ["…"], "description": "…", "imported": false, "status": "active", "created": 1758553200 }
],
"has_more": false
}Query parameters
limitinteger
How many to return, newest first. 1 to 500, default 500.
afterstring
The id of the last character on the previous page, to get the next page.
Response
200 · application/jsonSuccessful Response
dataCharacter · object[]required
Characters, newest first.
has_morebooleanrequired
True when there are more: pass the last id as after.
Was this page helpful?